Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 3.2.4 generated on January 7 2005
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kodo.event
Class SingleJVMRemoteCommitProvider

    java.lang.Object
      |
      +--kodo.event.AbstractRemoteCommitProvider
            |
            +--kodo.event.SingleJVMRemoteCommitProvider

All Implemented Interfaces:
  com.solarmetric.util.Closeable, Configurable, RemoteCommitProvider

public class SingleJVMRemoteCommitProvider
extends AbstractRemoteCommitProvider

Single-JVM-only implementation of `RemoteCommitProvider` that listens for object modifications and propagates those changes to other SingleJVMRemoteCommitProviders in the same JVM. This is only useful for linking together multiple factories in the same JVM that are all loaded in the same classloader, which is a rare circumstance.

Since:
  2.5.0

Fields inherited from class kodo.event.AbstractRemoteCommitProvider
`eventManager, log`

Constructor Summary
`SingleJVMRemoteCommitProvider()`

Method Summary
`void` | `broadcast(RemoteCommitEvent event)` Notifies other remote event managers in this JVM and on other machines of changes to the cache.
`void` | `close()` Close any resources used by this provider

Methods inherited from class kodo.event.AbstractRemoteCommitProvider
`endConfiguration, setConfiguration, setRemoteCommitEventManager, startConfiguration`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SingleJVMRemoteCommitProvider

    public SingleJVMRemoteCommitProvider()

Method Detail

### broadcast

    public void broadcast(RemoteCommitEvent event)

  Description copied from interface: `RemoteCommitProvider`
  Notifies other remote event managers in this JVM and on other machines of changes to the cache. This method must not notify the event manager associated with the persistence manager that originated this commit.

### close

    public void close()

  Description copied from interface: `RemoteCommitProvider`
  Close any resources used by this provider

Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 3.2.4 generated on January 7 2005
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001,2002 SolarMetric, Inc. All Rights Reserved.